#pragma once

#include <windows.h>



//GDSIIExporter interface
	
	int __stdcall GDS_BeginLib(const char *fileName, double dbUserUnit, double dbUnitInMeter, HANDLE* hnd);
	int __stdcall GDS_EndLib(HANDLE hnd);

	int __stdcall GDS_BeginStructure(HANDLE hnd, const char* strName);
	int __stdcall GDS_EndStructure(HANDLE hnd);

	int __stdcall GDS_Path(HANDLE hnd, int *pointsX, int *pointsY, short pointsNum, 
							int width, short layer, short datatype, 
							short pathtype, short elflags, int plex);
	int __stdcall GDS_Arc(HANDLE hnd, int centerX, int centerY, int radius,
							double startAng, double endAng, short segmentNum,
							int width, short layer, short datatype, 
							short pathtype, short elflags, int plex);

	int __stdcall GDS_Boundary(HANDLE hnd, int *pointsX, int *pointsY, short pNum, 
							short layer,short datatype,  short elflags, 
							int plex);
	int __stdcall GDS_Circle(HANDLE hnd, int centerX, int centerY, int radius,
							short segmentNum, short layer, short datatype,
							short elflags, int plex);
	int __stdcall GDS_Sector(HANDLE hnd, int centerX, int centerY, int radius,
							double startAng, double endAng, short segmentNum,
							short layer, short datatype, short elflags, 
							int plex);

	int __stdcall GDS_Box(HANDLE hnd, int x1, int y1, int x2, int y2, 
							short layer, short boxtype, 
							short elflags, int plex);
	int __stdcall GDS_BoxWH(HANDLE hnd, int x, int y, int width, int height, 
							short layer, short boxtype, 
							short elflags, int plex);
	int __stdcall GDS_Square(HANDLE hnd, int x, int y, int side, 
							short layer, short boxtype, 
							short elflags, int plex);

	int __stdcall GDS_Sref(HANDLE hnd, const char *strName, int x, int y, 
						short strans, double mag, double angle, 
						short elflags, int plex);
	int __stdcall GDS_Aref(HANDLE hnd,  const char *strName, int *x, int *y, 
						short col, short row, short strans, double mag, 
						double angle, short elflags, int plex);
	
	int __stdcall GDS_Text(HANDLE hnd, int pointX, int pointY, const char *msg, 
							short layer, short txtType, short presentation,
							short pathtype, int width, short strans,	
							double mag, double angle, short elflags, 
							int plex);
	
	int __stdcall GDS_Node(HANDLE hnd, int *pointsX, int *pointsY, short pointsNum,
							short layer, short nodeType, short elflags, 
							int plex);

	
	int __stdcall GDS_GetError(int errCode, char* errBuffer, int buferSize);




